Subject: Missing function to clear processed images (FAL image cache)

Description

There is no functionality in TYPOS3 6.2 that allows to clear the new image cache (processed folders in typo3temp and file storages +
sys_file_processedfile database table).

To clear the table a function exists in the Upgrade Wizard, but it is not available after completing a migration and it does not delete the
files on file storages, so there are lots of files left without reference (do they get deleted someday?).

In addition:
A "trigger" to delete processed files (i. e. a hook in the core "clear cache" function) should be available in every FAL Driver like S3 and
SO on.

Related issues:
related to Core - Bug # 64556: ProcessedFile record should not be saved/creat... Closed 2015-01-28

History

#1 - 2015-01-18 21:46 - Ingo Schmitt
- Status changed from New to Needs Feedback

Hello Christian,

if you just delete the processed files, you would end up in a frontend with missing images, since the frontend would deliver cached pages with image

references. Thus the page cache must also be cleared.

Can you provide a use case, why the already generated images should be cleared by a backend task (Besides of cleaning this directory)?

#2 - 2015-01-19 19:07 - Christian Ludwig

You are right, the page cache should be cleared too.
The reason why a clear cache function for FAL is needed are the same as they are for the old image system.
Some of the reasons are:
- Clean up unneeded image sizes (i. e. when image size was globally changed by TypoScript setting)
- Clean up database an file system from all temp data before backups
- Clean up temp files, when original images got deleted by external process (WebDAV, rsync, ...)
- Problems with bugs in current FAL version (i. e. change image file by FTP or other application, wrong image sizes, ...)

#3 - 2015-02-16 18:11 - Bernhard Kraft
| provided reasons for adding a possibility to clear sys_file_processedfiles in the issue | related to this one.

#4 - 2015-02-23 21:33 - Christian Ludwig

Ingo Schmitt wrote:

Can you provide a use case, why the already generated images should be cleared by a backend task (Besides of cleaning this directory)?

Feedback was given, can anyone please change the status of this issue? Thanks.

#5 - 2015-03-04 10:35 - Geddo no-lastname-given

+1 This is def. a must have!

While i'm messing around with many images while developing a website i would love to have a "RefreshAllProcessedimages”-Button do replace the

placeholders with the final content

#6 - 2015-05-06 10:37 - Felix Nagel

I think I've got another use case:

When changing the FAL image names (e.g. for SEO reasons) it seems there is no way to force a re-rendering of the cached processed images. Or do

| miss something?

#7 - 2015-06-16 11:08 - Alexander Koberl

another use-case: we have extensions importing data and images from foreign sources. changed images are updated on every import in

uploads/tx_****/, but the new typo3temp/_processed_/ imagecache is ignoring these image updates.

#8 - 2015-07-28 19:01 - Steffen RoBkamp

There also seems to be an issue when using the replace file function. The system still uses the old file until some time later.
